<?xml version="1.0" encoding="ISO-8859-1"?>


<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:import href="siteStyle.xsl"/>
<xsl:output method="html" />
<xsl:strip-space elements="*" />

<xsl:template match="SiteStyle">
<html>
<head>
<link rel="stylesheet" href="display.css" type="text/css" />


<script>

  function NOF_Menu(){}
  function NOF_Main_Menu(){}
  function NOF_Menu_Item(){}
  function NOF_Menu_Button(){}
  function preLoad(){};
  function F_loadRollover(){};
  function F_roll(){}


  //Get the absolute path to navabar script
  var fsiApp = new ActiveXObject("FSI.FSIApplication.9000000.0");
  document.write("&lt;script language='javascript' src='" + fsiApp.AppDirectory + "NetObjects System/rollover.js'&gt;&lt;\/script&gt;" );
  fsiApp = null;  
      
  /**
  * Move site style elements when a decorative style has been choosed.
  */
  function handleStyleElements() {
  
    //Move banner into decorator
    if (document.getElementById("bannerContainer")) {
      document.getElementById("bannerContainer").innerHTML = document.getElementById("defaultBanner").innerHTML;
      document.getElementById("defaultBanner").innerHTML =  "";
    } else if (typeof (isDecorator) != "undefined" &amp;&amp; isDecorator ) {
      document.getElementById("defaultBanner").innerHTML =  "";
    }
    
    //Move page content
    if (typeof (topOffset) != "undefined" &amp;&amp;  typeof (leftOffset) != "undefined") {
      document.getElementById("pageContainer").style.position = "absolute";
      document.getElementById("pageContainer").style.top      = topOffset + "px";
      document.getElementById("pageContainer").style.left     = leftOffset + "px";                  
    }
    
    //If decorator style includes a navbar.
    if (document.getElementById("navbarContainer")){ 
        var container = document.getElementById("navbarContainer");
        if ( container.type == "" ||  container.type == "vertical") {
          container.innerHTML = document.getElementById("defaultNavbarVertical").innerHTML;            
        }
        else if (container.type == "horizontal") {
          container.innerHTML = document.getElementById("defaultNavbarHorizontal").innerHTML;            
        }      
        
        removeNavbar("defaultNavbarVertical");
        removeNavbar("defaultNavbarHorizontal");
    } else //No decorative styles
      removeNavbar("defaultNavbarHorizontal");   
  }  
  
  function removeNavbar(navbarId) {
      document.getElementById(navbarId).innerHTML = "";                
  }
</script>
</head>
<style type="text/css">
body {
  margin: 10px;
}

.dataList {  
  font-family: Verdana, Arial, Helvetica, sans-serif;
  font-size: 10px;
  font-weight: bold;
  vertical-align: text-top;
  white-space: nowrap;		
}
</style>

<style ID="NOF_STYLE_SHEET">
.NavigationButton2_1 {width:130px; height:24px; font-face:Trebuchet MS; font-size:9; font-color:#ffffff; background-color:#338c82; font-weight: bold; cursor:hand; text-decoration:none;}
.NavigationButton2_1Hover {width:130px; height:24px; font-face:Trebuchet MS; font-size:6; font-color:#ff66ff; background-color:#338c82; font-weight: bold; cursor:hand; text-decoration:none;}

.NavigationButton2_2 {width:130px; height:24px; font-face:Trebuchet MS; font-size:9; font-color:#ffffff; background-color:#338c82; font-weight: bold; cursor:hand; text-decoration:none;}
.NavigationButton2_2Hover {width:130px; height:24px; font-face:Trebuchet MS; font-size:6; font-color:#ff66ff; background-color:#338c82; font-weight: bold; cursor:hand; text-decoration:none;}

.NavigationButton2_3 {width:130px; height:24px; font-face:Trebuchet MS; font-size:9; font-color:#ffffff; background-color:#338c82; font-weight: bold; cursor:hand; text-decoration:none;}
.NavigationButton2_3Hover {width:130px; height:24px; font-face:Trebuchet MS; font-size:6; font-color:#ff66ff; background-color:#338c82; font-weight: bold; cursor:hand; text-decoration:none;}

.NavigationButton2_4 {width:130px; height:24px; font-face:Trebuchet MS; font-size:9; font-color:#ffffff; background-color:#338c82; font-weight: bold; cursor:hand; text-decoration:none;}
.NavigationButton2_4Hover {width:130px; height:24px; font-face:Trebuchet MS; font-size:6; font-color:#ff66ff; background-color:#338c82; font-weight: bold; cursor:hand; text-decoration:none;}

.NavigationButton2_5 {width:130px; height:24px; font-face:Trebuchet MS; font-size:9; font-color:#ffffff; background-color:#338c82; font-weight: bold; cursor:hand; text-decoration:none;}
.NavigationButton2_5Hover {width:130px; height:24px; font-face:Trebuchet MS; font-size:6; font-color:#ff66ff; background-color:#338c82; font-weight: bold; cursor:hand; text-decoration:none;}

DIV#NavigationBar2_1LYR { 
position:absolute; visibility:hidden; top:0; left:0; z-index:1;}
DIV#NavigationBar2_2LYR { 
position:absolute; visibility:hidden; top:0; left:0; z-index:1;
}
</style>

<xsl:apply-templates select="Navbar" mode="generate"/>

<body bgcolor="" background="" onload="handleStyleElements()">
<div id="pageContainer">
  <TABLE width="600" border="0" cellpadding="0" cellspacing="0">
    <TR>
      <TD></TD>
      <TD><IMG src="labels/spacer.gif" width="20" height="1"/></TD>
      <TD align="center">
        <div id="defaultBanner">
          <xsl:apply-templates select="Banners/Banner[position() = 1]" />
        </div>
      </TD>
      <TD><IMG src="labels/spacer.gif" width="20" height="1"/></TD>
    </TR>
    <TR>
      <TD valign="top">
        <div id="defaultNavbarHorizontal">
           <table  border="0" cellspacing="0" cellpadding="0" width="130">
              <tr valign="top" align="left">
                  <td width="130" height="24"><a href="#" onMouseOver="F_roll('NavigationButton1',1)" onMouseOut="F_roll('NavigationButton1',0)"><xsl:apply-templates select="Navbar/NavbarState[position() = 1]/Button[position() = 1]/ButtonState[position() = 1]" mode="button1"/></a></td>
              
                  <td width="130" height="24"><a href="#" onMouseOver="F_roll('NavigationButton2',1)" onMouseOut="F_roll('NavigationButton2',0)"><xsl:apply-templates select="Navbar/NavbarState[position() = 1]/Button[position() = 1]/ButtonState[position() = 1]" mode="button2"/></a></td>
              
                  <td width="130" height="24"><a href="#" onMouseOver="F_roll('NavigationButton3',1)" onMouseOut="F_roll('NavigationButton3',0)"><xsl:apply-templates select="Navbar/NavbarState[position() = 1]/Button[position() = 1]/ButtonState[position() = 1]" mode="button3"/></a></td>
              
                  <td width="130" height="24"><a href="#" onMouseOver="F_roll('NavigationButton4',1)" onMouseOut="F_roll('NavigationButton4',0)"><xsl:apply-templates select="Navbar/NavbarState[position() = 1]/Button[position() = 1]/ButtonState[position() = 1]" mode="button4"/></a></td>
              </tr>                               
          </table>
        </div>
        <div id="defaultNavbarVertical">
           <table  border="0" cellspacing="0" cellpadding="0" width="130">
              <tr valign="top" align="left">
                  <td width="130" height="24"><a href="#" onMouseOver="F_roll('NavigationButton1',1)" onMouseOut="F_roll('NavigationButton1',0)"><xsl:apply-templates select="Navbar/NavbarState[position() = 1]/Button[position() = 1]/ButtonState[position() = 1]" mode="button1"/></a></td>
              </tr>
              <tr valign="top" align="left">
                  <td width="130" height="24"><a href="#" onMouseOver="F_roll('NavigationButton2',1)" onMouseOut="F_roll('NavigationButton2',0)"><xsl:apply-templates select="Navbar/NavbarState[position() = 1]/Button[position() = 1]/ButtonState[position() = 1]" mode="button2"/></a></td>
              </tr>
              <tr valign="top" align="left">
                  <td width="130" height="24"><a href="#" onMouseOver="F_roll('NavigationButton3',1)" onMouseOut="F_roll('NavigationButton3',0)"><xsl:apply-templates select="Navbar/NavbarState[position() = 1]/Button[position() = 1]/ButtonState[position() = 1]" mode="button3"/></a></td>
              </tr>
              <tr valign="top" align="left">
                  <td width="130" height="24"><a href="#" onMouseOver="F_roll('NavigationButton4',1)" onMouseOut="F_roll('NavigationButton4',0)"><xsl:apply-templates select="Navbar/NavbarState[position() = 1]/Button[position() = 1]/ButtonState[position() = 1]" mode="button4"/></a></td>
              </tr>                               
          </table>
        </div>
        
      </TD>
      <TD></TD>
      <TD valign="top">
        <TABLE id="layout" border="0" cellspacing="0" cellpadding="0">
          <TR>
            <TD><H1>Heading 1</H1>
              <H3>Heading 3</H3>
              <P>Lorem ip sum, Dolor sit amet, consectetuer adipiscing elit, sed diam nonum. Lorem ip sum, Dolor sit amet, consectetuer adipiscing elit, sed diam nonum <A href="JavaScript:void(0);">sample link</A>. Lorem ip sum, Dolor sit amet, consectetuer adipiscing elit, sed diam nonum.Lorem ip sum, Dolor sit amet, consectetuer adipiscing elit, sed diam nonum. </P>
              <H5>Heading 5</H5>
              <P>Lorem ip sum, Dolor sit amet, consectetuer adipiscing elit, sed diam nonum. Lorem ip sum, Dolor sit amet, consectetuer adipiscing elit, sed diam nonum <A href="JavaScript:void(0);">sample link</A>. Lorem ip sum, Dolor sit amet, consectetuer adipiscing elit, sed diam nonum.Lorem ip sum, Dolor sit amet, consectetuer adipiscing elit, sed diam nonum.</P>
              <IMG src="" alt="" name="line" width="350" height="2" id="line" border="0"/>
                <TABLE border="0" cellspacing="0" cellpadding="0">
                <TR>
                  <TD align="center"><H4>Heading 4</H4></TD>
                  <TD><IMG src="labels/spacer.gif" width="50" height="30"/></TD>
                  <TD align="center"><H4>Heading 4</H4></TD>
                </TR>
                <TR>
                  <TD valign="top">      
                    <OL>
                      <LI>Item 1</LI>
                      <UL>
                        <LI>Item A</LI>
                        <LI>Item B</LI>
                      </UL>
                      <LI>Item 2</LI>
                      <LI>Item 3</LI>
                    </OL></TD>
                  <TD></TD>
                  <TD valign="top">
                    <xsl:apply-templates select="Bullet" mode="preview"/>
                  </TD>
                </TR>
                <TR>
                  <TD valign="top"></TD>
                  <TD></TD>
                  <TD valign="top"></TD>
                </TR>
            </TABLE></TD>
          </TR>
          <TR>
            <TD align="center"><p align="center"><font size="-2" face="Arial,Helvetica,Geneva,Sans-serif,sans-serif">[</font><a href="#"><font size="-2" face="Arial,Helvetica,Geneva,Sans-serif,sans-serif">Home</font></a><font size="-2" face="Arial,Helvetica,Geneva,Sans-serif,sans-serif">] [</font><a href="#"><font size="-2" face="Arial,Helvetica,Geneva,Sans-serif,sans-serif">Untitled1</font></a><font size="-2" face="Arial,Helvetica,Geneva,Sans-serif,sans-serif">] [Untitled2] [</font><a href="#"><font size="-2" face="Arial,Helvetica,Geneva,Sans-serif,sans-serif">Untitled3</font></a><font size="-2" face="Arial,Helvetica,Geneva,Sans-serif,sans-serif">] [</font><a href="#"><font size="-2" face="Arial,Helvetica,Geneva,Sans-serif,sans-serif">Untitled4</font></a><font size="-2" face="Arial,Helvetica,Geneva,Sans-serif,sans-serif">]</font></p></TD>
          </TR>
        </TABLE></TD>
      <TD></TD>
    </TR>
  </TABLE>
</div>
<xsl:apply-templates select="header"/>

</body>
</html>
</xsl:template>



<xsl:template match="Navbar" mode="generate">
<script>
 var C_MENU_BORDER = 0
 var C_MENU_SPACING = 0
 var C_MENU_BGCOLOR = ""
 var C_MENU_AUTO_CLOSE = true; 
 new NOF_Menu(
   new NOF_Main_Menu(new NOF_Menu_Item('NavigationBar2_1', 'vertical', 'slideRight', 130, 0, 
     new NOF_Menu_Button('#','<xsl:value-of select="../Navbar/NavbarState[position() = 1]/Button[position() = 1]/ButtonState[position() = 1]/Image/@path"/>',
                              '<xsl:value-of select="./NavbarState[position() = 1]/Button[position() = 1]/ButtonState[position() = 2]/Image/@path"/>',
        new NOF_Menu_Item('NavigationBar2_2',  'vertical', 'fadeRight', 130, 0,         
          new NOF_Menu_Button('#','<xsl:value-of select="./NavbarState[position() = 1]/Button[position() = 1]/ButtonState[position() = 1]/Image/@path"/>',
                                  '<xsl:value-of select="./NavbarState[position() = 1]/Button[position() = 1]/ButtonState[position() = 2]/Image/@path"/>'))),
        new NOF_Menu_Button('#','<xsl:value-of select="./NavbarState[position() = 1]/Button[position() = 1]/ButtonState[position() = 1]/Image/@path"/>',
                                '<xsl:value-of select="./NavbarState[position() = 1]/Button[position() = 1]/ButtonState[position() = 2]/Image/@path"/>'))));
                                
   function preLoad(obj, path, array) {    
    
      var offsetX = 130; // Define submenu offsetX
      var offsetY = 0; // Define submenu offsetX
      
      if (document.getElementById("navbarContainer")){
        var container = document.getElementById("navbarContainer");
        if (typeof(container.type) != "undefined" &amp;&amp; container.type == "horizontal") {                      
          offsetX = 0;
          offsetY = 40;
        } else
          container.type = "vertical";
      }
    
     if (array == 0)
      F_loadRollover(obj, path, 0)
     else      
      F_loadRollover(obj, path, new Array('NavigationBar2_1', 'vertical', 'slideRight', offsetX, offsetY));     
   }

</script>  
</xsl:template>

<xsl:template match="ButtonState" mode="button1">
  <img id="NavigationButton1" name="NavigationButton1" 
  src="{../ButtonState[position() = 3 ]/Image/@path}" 
  onLoad="preLoad(this,'{../ButtonState[position() = 4]/Image/@path}',0)" border="0" alt="Button" title="Button" />
</xsl:template>

<xsl:template match="ButtonState" mode="button2">
  <img id="NavigationButton2" name="NavigationButton2" 
  src="{//Navbar/NavbarState/Button/ButtonState[position() = 1]/Image/@path}" 
  onLoad="preLoad(this,'{../ButtonState[position() = 2]/Image/@path}', new Array('NavigationBar4_1', 'vertical', 'slideRight', 130, 0))" border="0" alt="Button" title="Button" />  
</xsl:template>

<xsl:template match="ButtonState" mode="button3">
  <img id="NavigationButton3" name="NavigationButton3"
  src="{../ButtonState[position() = 1]/Image/@path}" 
  onLoad="preLoad(this,'{../ButtonState[position() = 2]/Image/@path}',0)" border="0" alt="Button" title="Button" />
</xsl:template>

<xsl:template match="ButtonState" mode="button4">
  <img id="NavigationButton4" name="NavigationButton4" 
  src="{../ButtonState[position() = 1]/Image/@path}" 
  onLoad="preLoad(this,'{../ButtonState[position() = 2]/Image/@path}',0)" border="0" alt="Button" title="Button" />
</xsl:template>

<xsl:template match="Banner">  
  <div id="Banner.Default">
  <xsl:choose>  	
    <xsl:when test="@type = 'Image'">      
        <img src="{./Image/@path}" />
    </xsl:when>
    <xsl:otherwise>   
      <div style="{./Font/@css}"><img src="labels/spacer.gif" width="1" height="1">Text Banner</img></div>
    </xsl:otherwise>
   </xsl:choose> 
  </div>      
</xsl:template>


</xsl:stylesheet>		